Dancer::Template::Simple(3pm)

NAME
Dancer::Template::Simple - pure Perl 5 template engine for Dancer

VERSION
version 1.3522

DESCRIPTION
This template engine is provided as a default one for the Dancer micro framework.

This template engine should be fine for development purposes but is not a powerful one, it's written in pure Perl and has no C bindings to accelerate the template processing.

If you want to power an application with Dancer in production environment, it's strongly advised to switch to Dancer::Template::TemplateToolkit.

SYNTAX
A template written for Dancer::Template::Simple should be working just fine with Dancer::Template::TemplateToolkit. The opposite is not true though.

variables
    To interpolate a variable in the template, use the following syntax:

        <% var1 %>

    If 'var1' exists in the tokens hash given, its value will be written there.

SEE ALSO
Dancer, Dancer::Template

AUTHOR
This module has been written by Alexis Sukrieh.

LICENSE
This module is free software and is released under the same terms as Perl itself.

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.